
Redmine - Patch #41188

Refactor Calendar#first_wday method for improved readability and efficiency

2024-08-24 09:02 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

The attached patch simplifies the case statement in the method and improves efficiency by applying memoization across the entire

method.

It also fixes some RuboCop offenses.

Associated revisions

Revision 23032 - 2024-09-07 08:34 - Go MAEDA

Refactor Calendar#first_wday method for improved readability and efficiency (#41188).

History

#1 - 2024-09-01 06:38 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#2 - 2024-09-07 08:35 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r23032.

Files

refactor-first_wday.patch 1.75 KB 2024-08-24 Go MAEDA
